<?php
// -------------------------------------------------------
// PHP-Fusion Content Management System
// Copyright (C) 2002 - 2008 Nick Jones
// http://www.php-fusion.co.uk/
// -------------------------------------------------------
// Project: 	Matchboard 1.0 for PHPFusion v7.x
// Author: 		David Geistert
// Releasedate: Mar. 2012
// Version: 	1.0
// -------------------------------------------------------
// This program is released as free software under the
// Affero GPL license. You can redistribute it and/or
// modify it under the terms of this license which you
// can read by viewing the included agpl.txt or online
// at www.gnu.org/licenses/agpl.html. Removal of this
// copyright header is strictly prohibited without
// written permission from the original author(s).
// -------------------------------------------------------
include INFUSIONS."matchboard_panel/infusion_db.php";

$inf_title = "Matchboard v1.0";
$inf_description = "Matchboard for clan wars";
$inf_version = "1.0";
$inf_developer = "David Geistert";
$inf_email = "david.geistert@nysoft.de";
$inf_folder = "matchboard_panel";

// creat tables
$inf_newtable[1] = DB_MATCHBOARD." (
    match_id int(11) NOT NULL AUTO_INCREMENT,
    insert_time int(11) NOT NULL,
    match_date int(11) NOT NULL,
    team1 text NOT NULL,
    gametype text NOT NULL,
    team2 text NOT NULL,
    screenshots text NOT NULL,
    team1_player text NOT NULL,
    team2_player text NOT NULL,
    PRIMARY KEY (match_id)
) ";

$inf_newtable[2] = DB_MATCHBOARD_SETTINGS." (
    name text NOT NULL,
    val text NOT NULL
) ";

$inf_newtable[3] = DB_MATCHBOARD_MATCHES." (
    round_id int(11) NOT NULL AUTO_INCREMENT,
    match_id int(11) NOT NULL,
    map_name text NOT NULL,
    team1_score int(11) NOT NULL,
    team2_score int(11) NOT NULL,
    PRIMARY KEY (round_id)
) ";
$inf_insertdbrow[1] = DB_MATCHBOARD_SETTINGS." (name, val) VALUES ('show_panel', '5' )";

$inf_droptable[1] = DB_MATCHBOARD;
$inf_droptable[2] = DB_MATCHBOARD_SETTINGS;
$inf_droptable[3] = DB_MATCHBOARD_MATCHES;

$inf_adminpanel[1] = array(
	"title" => "Matchboard Admin",
	"panel" => "admin.php",
	"rights" => "MB"
);
?>
