<?php
// -------------------------------------------------------
// PHP-Fusion Content Management System
// Copyright (C) 2002 - 2008 Nick Jones
// http://www.php-fusion.co.uk/
// -------------------------------------------------------
// Project: 	Matchboard 1.0 for PHPFusion v7.x
// Author: 		David Geistert
// Releasedate: Mar. 2012
// Version: 	1.0
// -------------------------------------------------------
// This program is released as free software under the
// Affero GPL license. You can redistribute it and/or
// modify it under the terms of this license which you
// can read by viewing the included agpl.txt or online
// at www.gnu.org/licenses/agpl.html. Removal of this
// copyright header is strictly prohibited without
// written permission from the original author(s).
// -------------------------------------------------------

if (!defined("IN_FUSION")) { die("Access Denied"); }

if (!defined("DB_MATCHBOARD")) { define("DB_MATCHBOARD", DB_PREFIX."matchboard"); }
if (!defined("DB_MATCHBOARD_SETTINGS")) { define("DB_MATCHBOARD_SETTINGS", DB_PREFIX."matchboard_settings"); }
if (!defined("DB_MATCHBOARD_MATCHES")) { define("DB_MATCHBOARD_MATCHES", DB_PREFIX."matchboard_matches"); }

if (file_exists(INFUSIONS."matchboard_panel/locale/".$settings['locale'].".php")) {
	include_once INFUSIONS."matchboard_panel/locale/".$settings['locale'].".php";
} else {
	include_once INFUSIONS."mp3player_panel/locale/English.php";
}

if ( !function_exists( 'calc_color' ) ) {
    function calc_color( $int1, $int2 ){
        if( $int1 < $int2 ){
            $color = "color: #d00303;";
        }else if( $int1 > $int2 ){
            $color = "color: #00CC00;";
        }else{
            $color = "color: grey;";
        }
        return $color;
    }
}

?>
